// 1 . protocol , 2 . domain , 3 . other
function parseUrl(url) {
	if(typeof url == "undefined" || null == url)
		url = window.location.href;
	var regex = /(.*)\:\/\/([^\/]*)(.*)/i;
	return url.match(regex);
}

function checkProtocol(protocol) {
	return ( protocol == 'http' || protocol == 'https' || protocol == 'ws' || protocol == 'wss' );
}

var surfing_domain = localStorage.domain || 'surfing.makesky.net';
var surfing_prefix = localStorage.prefix || '53136';
var surfing_site = 'https://' + surfing_domain + '/' + surfing_prefix + '/';

var xhr = new XMLHttpRequest();
xhr.open('GET', document.location, false);
xhr.send(null);
var surfing_url_protocol = xhr.getResponseHeader('surfing_url_protocol');
var surfing_url_domain = xhr.getResponseHeader('surfing_url_domain');

function changeTagNameA(element) {
	if ( element.href != null && element.href != '' && element.href != 'undefined' ) {
		//alert('before - ' + element.href);
		var match = parseUrl(element.href);
		if ( match != null && match.length != null && match.length > 3 && checkProtocol(match[1].toLowerCase()) && match[2].toLowerCase() == surfing_domain ) {
			element.href = surfing_site + surfing_url_protocol + '/' + surfing_url_domain + match[3];
			//alert('after - ' + element.href);
		}
	}
}

function changeTagNameForm(element) {
	if ( element.action != null && element.action != '' && element.action != 'undefined' ) {
		//alert('before - ' + element.action);
		var match = parseUrl(element.action);
		if ( match != null && match.length != null && match.length > 3 && checkProtocol(match[1].toLowerCase()) && match[2].toLowerCase() == surfing_domain ) {
			element.action = surfing_site + surfing_url_protocol + '/' + surfing_url_domain + match[3];
			//alert('after - ' + element.action);
		}
	}
}

if ( surfing_url_protocol != 'surfing_site' || surfing_url_domain != 'surfing_site' ) {
	var elements = document.getElementsByTagName('*');
	for( var i = 0; i < elements.length; i ++ ) {
		if ( elements[i].tagName.toLowerCase() == 'a' ) {
			changeTagNameA(elements[i]);
		} else if ( elements[i].tagName.toLowerCase() == 'form' ) {
			changeTagNameForm(elements[i]);
		}
	}
//} else {
//	alert('surfing_site');
}